# This file has been automatically generated from a template file.
# Please make modifications to `templates/gRPC-Core.podspec.template`
# instead. This file can be regenerated from the template by running
# `tools/buildgen/generate_projects.sh`.

# gRPC Core CocoaPods podspec
#
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


Pod::Spec.new do |s|
  s.name     = 'gRPC-Core'
  version = '1.25.0'
  s.version  = version
  s.summary  = 'Core cross-platform gRPC library, written in C'
  s.homepage = 'https://grpc.io'
  s.license  = 'Apache License, Version 2.0'
  s.authors  = { 'The gRPC contributors' => 'grpc-packages@google.com' }

  s.source = {
    :git => 'https://github.com/grpc/grpc.git',
    :tag => "v#{version}",
    :submodules => true,
  }

  # gRPC podspecs depend on fix for https://github.com/CocoaPods/CocoaPods/issues/6024,
  # which was released in Cocoapods v1.2.0.
  s.cocoapods_version = '>= 1.2.0'

  s.ios.deployment_target = '7.0'
  s.osx.deployment_target = '10.9'
  s.tvos.deployment_target = '10.0'
  s.watchos.deployment_target = '4.0'

  s.requires_arc = false

  name = 'grpc'

  # When creating a dynamic framework, name it grpc.framework instead of gRPC-Core.framework.
  # This lets users write their includes like `#include <grpc/grpc.h>` as opposed to `#include
  # <gRPC-Core/grpc.h>`.
  s.module_name = name

  # When creating a dynamic framework, copy the headers under `include/grpc/` into the root of
  # the `Headers/` directory of the framework (i.e., not under `Headers/include/grpc`).
  #
  # TODO(jcanizales): Debug why this doesn't work on macOS.
  s.header_mappings_dir = 'include/grpc'

  # The above has an undesired effect when creating a static library: It forces users to write
  # includes like `#include <gRPC-Core/grpc.h>`. `s.header_dir` adds a path prefix to that, and
  # because Cocoapods lets omit the pod name when including headers of static libraries, the
  # following lets users write `#include <grpc/grpc.h>`.
  s.header_dir = name

  # The module map created automatically by Cocoapods doesn't work for C libraries like gRPC-Core.
  s.module_map = 'include/grpc/module.modulemap'

  # To compile the library, we need the user headers search path (quoted includes) to point to the
  # root of the repo, and the system headers search path (angled includes) to point to `include/`.
  # Cocoapods effectively clones the repo under `<Podfile dir>/Pods/gRPC-Core/`, and sets a build
  # variable called `$(PODS_ROOT)` to `<Podfile dir>/Pods/`, so we use that.
  #
  # Relying on the file structure under $(PODS_ROOT) isn't officially supported in Cocoapods, as it
  # is taken as an implementation detail. We've asked for an alternative, and have been told that
  # what we're doing should keep working: https://github.com/CocoaPods/CocoaPods/issues/4386
  #
  # The `src_root` value of `$(PODS_ROOT)/gRPC-Core` assumes Cocoapods is installing this pod from
  # its remote repo. For local development of this library, enabled by using `:path` in the Podfile,
  # that assumption is wrong. In such case, the following settings need to be reset with the
  # appropriate value of `src_root`. This can be accomplished in the `pre_install` hook of the
  # Podfile; see `src/objective-c/tests/Podfile` for an example.
  src_root = '$(PODS_ROOT)/gRPC-Core'
  s.pod_target_xcconfig = {
    'GRPC_SRC_ROOT' => src_root,
    'HEADER_SEARCH_PATHS' => '"$(inherited)" "$(GRPC_SRC_ROOT)/include"',
    'USER_HEADER_SEARCH_PATHS' => '"$(GRPC_SRC_ROOT)"',
    # If we don't set these two settings, `include/grpc/support/time.h` and
    # `src/core/lib/gpr/string.h` shadow the system `<time.h>` and `<string.h>`, breaking the
    # build.
    'USE_HEADERMAP' => 'NO',
    'ALWAYS_SEARCH_USER_PATHS' => 'NO',
    'GCC_PREPROCESSOR_DEFINITIONS' => '"$(inherited)" "COCOAPODS=1"',
    'CLANG_WARN_STRICT_PROTOTYPES' => 'NO',
  }

  s.default_subspecs = 'Interface', 'Implementation'
  s.compiler_flags = '-DGRPC_ARES=0'
  s.libraries = 'c++'

  # Like many other C libraries, gRPC-Core has its public headers under `include/<libname>/` and its
  # sources and private headers in other directories outside `include/`. Cocoapods' linter doesn't
  # allow any header to be listed outside the `header_mappings_dir` (even though doing so works in
  # practice). Because we need our `header_mappings_dir` to be `include/grpc/` for the reason
  # mentioned above, we work around the linter limitation by dividing the pod into two subspecs, one
  # for public headers and the other for implementation. Each gets its own `header_mappings_dir`,
  # making the linter happy.
  #
  # The list of source files is generated by a template: `templates/gRPC-Core.podspec.template`. It
  # can be regenerated from the template by running `tools/buildgen/generate_projects.sh`.
  s.subspec 'Interface' do |ss|
    ss.header_mappings_dir = 'include/grpc'

    ss.source_files = 'include/grpc/byte_buffer.h',
                      'include/grpc/byte_buffer_reader.h',
                      'include/grpc/census.h',
                      'include/grpc/compression.h',
                      'include/grpc/fork.h',
                      'include/grpc/grpc.h',
                      'include/grpc/grpc_posix.h',
                      'include/grpc/grpc_security.h',
                      'include/grpc/grpc_security_constants.h',
                      'include/grpc/impl/codegen/atm.h',
                      'include/grpc/impl/codegen/atm.h',
                      'include/grpc/impl/codegen/atm_gcc_atomic.h',
                      'include/grpc/impl/codegen/atm_gcc_atomic.h',
                      'include/grpc/impl/codegen/atm_gcc_sync.h',
                      'include/grpc/impl/codegen/atm_gcc_sync.h',
                      'include/grpc/impl/codegen/atm_windows.h',
                      'include/grpc/impl/codegen/atm_windows.h',
                      'include/grpc/impl/codegen/byte_buffer.h',
                      'include/grpc/impl/codegen/byte_buffer_reader.h',
                      'include/grpc/impl/codegen/compression_types.h',
                      'include/grpc/impl/codegen/connectivity_state.h',
                      'include/grpc/impl/codegen/fork.h',
                      'include/grpc/impl/codegen/fork.h',
                      'include/grpc/impl/codegen/gpr_slice.h',
                      'include/grpc/impl/codegen/gpr_slice.h',
                      'include/grpc/impl/codegen/gpr_types.h',
                      'include/grpc/impl/codegen/gpr_types.h',
                      'include/grpc/impl/codegen/grpc_types.h',
                      'include/grpc/impl/codegen/log.h',
                      'include/grpc/impl/codegen/log.h',
                      'include/grpc/impl/codegen/port_platform.h',
                      'include/grpc/impl/codegen/port_platform.h',
                      'include/grpc/impl/codegen/propagation_bits.h',
                      'include/grpc/impl/codegen/slice.h',
                      'include/grpc/impl/codegen/status.h',
                      'include/grpc/impl/codegen/sync.h',
                      'include/grpc/impl/codegen/sync.h',
                      'include/grpc/impl/codegen/sync_custom.h',
                      'include/grpc/impl/codegen/sync_custom.h',
                      'include/grpc/impl/codegen/sync_generic.h',
                      'include/grpc/impl/codegen/sync_generic.h',
                      'include/grpc/impl/codegen/sync_posix.h',
                      'include/grpc/impl/codegen/sync_posix.h',
                      'include/grpc/impl/codegen/sync_windows.h',
                      'include/grpc/impl/codegen/sync_windows.h',
                      'include/grpc/load_reporting.h',
                      'include/grpc/slice.h',
                      'include/grpc/slice_buffer.h',
                      'include/grpc/status.h',
                      'include/grpc/support/alloc.h',
                      'include/grpc/support/atm.h',
                      'include/grpc/support/atm_gcc_atomic.h',
                      'include/grpc/support/atm_gcc_sync.h',
                      'include/grpc/support/atm_windows.h',
                      'include/grpc/support/cpu.h',
                      'include/grpc/support/log.h',
                      'include/grpc/support/log_windows.h',
                      'include/grpc/support/port_platform.h',
                      'include/grpc/support/string_util.h',
                      'include/grpc/support/sync.h',
                      'include/grpc/support/sync_custom.h',
                      'include/grpc/support/sync_generic.h',
                      'include/grpc/support/sync_posix.h',
                      'include/grpc/support/sync_windows.h',
                      'include/grpc/support/thd_id.h',
                      'include/grpc/support/time.h',
                      'include/grpc/support/workaround_list.h'
  end
  s.subspec 'Implementation' do |ss|
    ss.header_mappings_dir = '.'
    ss.libraries = 'z'
    ss.dependency "#{s.name}/Interface", version
    ss.dependency 'BoringSSL-GRPC', '0.0.5'
    ss.compiler_flags = '-DGRPC_SHADOW_BORINGSSL_SYMBOLS'

    ss.source_files = 'src/core/ext/filters/census/grpc_context.cc',
                      'src/core/ext/filters/client_channel/backend_metric.cc',
                      'src/core/ext/filters/client_channel/backend_metric.h',
                      'src/core/ext/filters/client_channel/backup_poller.cc',
                      'src/core/ext/filters/client_channel/backup_poller.h',
                      'src/core/ext/filters/client_channel/channel_connectivity.cc',
                      'src/core/ext/filters/client_channel/client_channel.cc',
                      'src/core/ext/filters/client_channel/client_channel.h',
                      'src/core/ext/filters/client_channel/client_channel_channelz.cc',
                      'src/core/ext/filters/client_channel/client_channel_channelz.h',
                      'src/core/ext/filters/client_channel/client_channel_factory.cc',
                      'src/core/ext/filters/client_channel/client_channel_factory.h',
                      'src/core/ext/filters/client_channel/client_channel_plugin.cc',
                      'src/core/ext/filters/client_channel/connector.cc',
                      'src/core/ext/filters/client_channel/connector.h',
                      'src/core/ext/filters/client_channel/global_subchannel_pool.cc',
                      'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/health/health_check_client.cc',
                      'src/core/ext/filters/client_channel/health/health_check_client.h',
                      'src/core/ext/filters/client_channel/http_connect_handshaker.cc',
                      'src/core/ext/filters/client_channel/http_connect_handshaker.h',
                      'src/core/ext/filters/client_channel/http_proxy.cc',
                      'src/core/ext/filters/client_channel/http_proxy.h',
                      'src/core/ext/filters/client_channel/lb_policy.cc',
                      'src/core/ext/filters/client_channel/lb_policy.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_channel.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_channel_secure.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                      'src/core/ext/filters/client_channel/lb_policy/pick_first/pick_first.cc',
                      'src/core/ext/filters/client_channel/lb_policy/round_robin/round_robin.cc',
                      'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds.h',
                      'src/core/ext/filters/client_channel/lb_policy_factory.h',
                      'src/core/ext/filters/client_channel/lb_policy_registry.cc',
                      'src/core/ext/filters/client_channel/lb_policy_registry.h',
                      'src/core/ext/filters/client_channel/local_subchannel_pool.cc',
                      'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/parse_address.cc',
                      'src/core/ext/filters/client_channel/parse_address.h',
                      'src/core/ext/filters/client_channel/proxy_mapper.cc',
                      'src/core/ext/filters/client_channel/proxy_mapper.h',
                      'src/core/ext/filters/client_channel/proxy_mapper_registry.cc',
                      'src/core/ext/filters/client_channel/proxy_mapper_registry.h',
                      'src/core/ext/filters/client_channel/resolver.cc',
                      'src/core/ext/filters/client_channel/resolver.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/dns_resolver_ares.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver_libuv.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver_posix.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver_windows.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_fallback.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_libuv.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_posix.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_windows.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                      'src/core/ext/filters/client_channel/resolver/dns/native/dns_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                      'src/core/ext/filters/client_channel/resolver/sockaddr/sockaddr_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver_factory.h',
                      'src/core/ext/filters/client_channel/resolver_registry.cc',
                      'src/core/ext/filters/client_channel/resolver_registry.h',
                      'src/core/ext/filters/client_channel/resolver_result_parsing.cc',
                      'src/core/ext/filters/client_channel/resolver_result_parsing.h',
                      'src/core/ext/filters/client_channel/resolving_lb_policy.cc',
                      'src/core/ext/filters/client_channel/resolving_lb_policy.h',
                      'src/core/ext/filters/client_channel/retry_throttle.cc',
                      'src/core/ext/filters/client_channel/retry_throttle.h',
                      'src/core/ext/filters/client_channel/server_address.cc',
                      'src/core/ext/filters/client_channel/server_address.h',
                      'src/core/ext/filters/client_channel/service_config.cc',
                      'src/core/ext/filters/client_channel/service_config.h',
                      'src/core/ext/filters/client_channel/subchannel.cc',
                      'src/core/ext/filters/client_channel/subchannel.h',
                      'src/core/ext/filters/client_channel/subchannel_interface.h',
                      'src/core/ext/filters/client_channel/subchannel_pool_interface.cc',
                      'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                      'src/core/ext/filters/client_channel/xds/xds_api.cc',
                      'src/core/ext/filters/client_channel/xds/xds_api.h',
                      'src/core/ext/filters/client_channel/xds/xds_bootstrap.cc',
                      'src/core/ext/filters/client_channel/xds/xds_bootstrap.h',
                      'src/core/ext/filters/client_channel/xds/xds_channel.h',
                      'src/core/ext/filters/client_channel/xds/xds_channel_args.h',
                      'src/core/ext/filters/client_channel/xds/xds_channel_secure.cc',
                      'src/core/ext/filters/client_channel/xds/xds_client.cc',
                      'src/core/ext/filters/client_channel/xds/xds_client.h',
                      'src/core/ext/filters/client_channel/xds/xds_client_stats.cc',
                      'src/core/ext/filters/client_channel/xds/xds_client_stats.h',
                      'src/core/ext/filters/client_idle/client_idle_filter.cc',
                      'src/core/ext/filters/deadline/deadline_filter.cc',
                      'src/core/ext/filters/deadline/deadline_filter.h',
                      'src/core/ext/filters/http/client/http_client_filter.cc',
                      'src/core/ext/filters/http/client/http_client_filter.h',
                      'src/core/ext/filters/http/client_authority_filter.cc',
                      'src/core/ext/filters/http/client_authority_filter.h',
                      'src/core/ext/filters/http/http_filters_plugin.cc',
                      'src/core/ext/filters/http/message_compress/message_compress_filter.cc',
                      'src/core/ext/filters/http/message_compress/message_compress_filter.h',
                      'src/core/ext/filters/http/server/http_server_filter.cc',
                      'src/core/ext/filters/http/server/http_server_filter.h',
                      'src/core/ext/filters/max_age/max_age_filter.cc',
                      'src/core/ext/filters/max_age/max_age_filter.h',
                      'src/core/ext/filters/message_size/message_size_filter.cc',
                      'src/core/ext/filters/message_size/message_size_filter.h',
                      'src/core/ext/filters/workarounds/workaround_cronet_compression_filter.cc',
                      'src/core/ext/filters/workarounds/workaround_cronet_compression_filter.h',
                      'src/core/ext/filters/workarounds/workaround_utils.cc',
                      'src/core/ext/filters/workarounds/workaround_utils.h',
                      'src/core/ext/transport/chttp2/alpn/alpn.cc',
                      'src/core/ext/transport/chttp2/alpn/alpn.h',
                      'src/core/ext/transport/chttp2/client/authority.cc',
                      'src/core/ext/transport/chttp2/client/authority.h',
                      'src/core/ext/transport/chttp2/client/chttp2_connector.cc',
                      'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                      'src/core/ext/transport/chttp2/client/insecure/channel_create.cc',
                      'src/core/ext/transport/chttp2/client/insecure/channel_create_posix.cc',
                      'src/core/ext/transport/chttp2/client/secure/secure_channel_create.cc',
                      'src/core/ext/transport/chttp2/server/chttp2_server.cc',
                      'src/core/ext/transport/chttp2/server/chttp2_server.h',
                      'src/core/ext/transport/chttp2/server/insecure/server_chttp2.cc',
                      'src/core/ext/transport/chttp2/server/insecure/server_chttp2_posix.cc',
                      'src/core/ext/transport/chttp2/server/secure/server_secure_chttp2.cc',
                      'src/core/ext/transport/chttp2/transport/bin_decoder.cc',
                      'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                      'src/core/ext/transport/chttp2/transport/bin_encoder.cc',
                      'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                      'src/core/ext/transport/chttp2/transport/chttp2_plugin.cc',
                      'src/core/ext/transport/chttp2/transport/chttp2_transport.cc',
                      'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                      'src/core/ext/transport/chttp2/transport/context_list.cc',
                      'src/core/ext/transport/chttp2/transport/context_list.h',
                      'src/core/ext/transport/chttp2/transport/flow_control.cc',
                      'src/core/ext/transport/chttp2/transport/flow_control.h',
                      'src/core/ext/transport/chttp2/transport/frame.h',
                      'src/core/ext/transport/chttp2/transport/frame_data.cc',
                      'src/core/ext/transport/chttp2/transport/frame_data.h',
                      'src/core/ext/transport/chttp2/transport/frame_goaway.cc',
                      'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                      'src/core/ext/transport/chttp2/transport/frame_ping.cc',
                      'src/core/ext/transport/chttp2/transport/frame_ping.h',
                      'src/core/ext/transport/chttp2/transport/frame_rst_stream.cc',
                      'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                      'src/core/ext/transport/chttp2/transport/frame_settings.cc',
                      'src/core/ext/transport/chttp2/transport/frame_settings.h',
                      'src/core/ext/transport/chttp2/transport/frame_window_update.cc',
                      'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                      'src/core/ext/transport/chttp2/transport/hpack_parser.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                      'src/core/ext/transport/chttp2/transport/hpack_table.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_table.h',
                      'src/core/ext/transport/chttp2/transport/http2_settings.cc',
                      'src/core/ext/transport/chttp2/transport/http2_settings.h',
                      'src/core/ext/transport/chttp2/transport/huffsyms.cc',
                      'src/core/ext/transport/chttp2/transport/huffsyms.h',
                      'src/core/ext/transport/chttp2/transport/incoming_metadata.cc',
                      'src/core/ext/transport/chttp2/transport/incoming_metadata.h',
                      'src/core/ext/transport/chttp2/transport/internal.h',
                      'src/core/ext/transport/chttp2/transport/parsing.cc',
                      'src/core/ext/transport/chttp2/transport/stream_lists.cc',
                      'src/core/ext/transport/chttp2/transport/stream_map.cc',
                      'src/core/ext/transport/chttp2/transport/stream_map.h',
                      'src/core/ext/transport/chttp2/transport/varint.cc',
                      'src/core/ext/transport/chttp2/transport/varint.h',
                      'src/core/ext/transport/chttp2/transport/writing.cc',
                      'src/core/ext/transport/inproc/inproc_plugin.cc',
                      'src/core/ext/transport/inproc/inproc_transport.cc',
                      'src/core/ext/transport/inproc/inproc_transport.h',
                      'src/core/ext/upb-generated/envoy/api/v2/auth/cert.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/auth/cert.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/cds.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/cds.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/circuit_breaker.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/circuit_breaker.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/filter.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/filter.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/outlier_detection.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/cluster/outlier_detection.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/address.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/address.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/base.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/base.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/config_source.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/config_source.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/grpc_service.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/grpc_service.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/health_check.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/health_check.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/http_uri.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/http_uri.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/core/protocol.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/core/protocol.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/discovery.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/discovery.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/eds.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/eds.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/endpoint/endpoint.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/endpoint/endpoint.upb.h',
                      'src/core/ext/upb-generated/envoy/api/v2/endpoint/load_report.upb.c',
                      'src/core/ext/upb-generated/envoy/api/v2/endpoint/load_report.upb.h',
                      'src/core/ext/upb-generated/envoy/service/discovery/v2/ads.upb.c',
                      'src/core/ext/upb-generated/envoy/service/discovery/v2/ads.upb.h',
                      'src/core/ext/upb-generated/envoy/service/load_stats/v2/lrs.upb.c',
                      'src/core/ext/upb-generated/envoy/service/load_stats/v2/lrs.upb.h',
                      'src/core/ext/upb-generated/envoy/type/percent.upb.c',
                      'src/core/ext/upb-generated/envoy/type/percent.upb.h',
                      'src/core/ext/upb-generated/envoy/type/range.upb.c',
                      'src/core/ext/upb-generated/envoy/type/range.upb.h',
                      'src/core/ext/upb-generated/gogoproto/gogo.upb.c',
                      'src/core/ext/upb-generated/gogoproto/gogo.upb.h',
                      'src/core/ext/upb-generated/google/api/annotations.upb.c',
                      'src/core/ext/upb-generated/google/api/annotations.upb.h',
                      'src/core/ext/upb-generated/google/api/http.upb.c',
                      'src/core/ext/upb-generated/google/api/http.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/any.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/descriptor.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/duration.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/empty.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/struct.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/timestamp.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/wrappers.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                      'src/core/ext/upb-generated/google/rpc/status.upb.c',
                      'src/core/ext/upb-generated/google/rpc/status.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                      'src/core/ext/upb-generated/udpa/data/orca/v1/orca_load_report.upb.c',
                      'src/core/ext/upb-generated/udpa/data/orca/v1/orca_load_report.upb.h',
                      'src/core/ext/upb-generated/validate/validate.upb.c',
                      'src/core/ext/upb-generated/validate/validate.upb.h',
                      'src/core/lib/avl/avl.cc',
                      'src/core/lib/avl/avl.h',
                      'src/core/lib/backoff/backoff.cc',
                      'src/core/lib/backoff/backoff.h',
                      'src/core/lib/channel/channel_args.cc',
                      'src/core/lib/channel/channel_args.h',
                      'src/core/lib/channel/channel_stack.cc',
                      'src/core/lib/channel/channel_stack.h',
                      'src/core/lib/channel/channel_stack_builder.cc',
                      'src/core/lib/channel/channel_stack_builder.h',
                      'src/core/lib/channel/channel_trace.cc',
                      'src/core/lib/channel/channel_trace.h',
                      'src/core/lib/channel/channelz.cc',
                      'src/core/lib/channel/channelz.h',
                      'src/core/lib/channel/channelz_registry.cc',
                      'src/core/lib/channel/channelz_registry.h',
                      'src/core/lib/channel/connected_channel.cc',
                      'src/core/lib/channel/connected_channel.h',
                      'src/core/lib/channel/context.h',
                      'src/core/lib/channel/handshaker.cc',
                      'src/core/lib/channel/handshaker.h',
                      'src/core/lib/channel/handshaker_factory.h',
                      'src/core/lib/channel/handshaker_registry.cc',
                      'src/core/lib/channel/handshaker_registry.h',
                      'src/core/lib/channel/status_util.cc',
                      'src/core/lib/channel/status_util.h',
                      'src/core/lib/compression/algorithm_metadata.h',
                      'src/core/lib/compression/compression.cc',
                      'src/core/lib/compression/compression_args.cc',
                      'src/core/lib/compression/compression_args.h',
                      'src/core/lib/compression/compression_internal.cc',
                      'src/core/lib/compression/compression_internal.h',
                      'src/core/lib/compression/message_compress.cc',
                      'src/core/lib/compression/message_compress.h',
                      'src/core/lib/compression/stream_compression.cc',
                      'src/core/lib/compression/stream_compression.h',
                      'src/core/lib/compression/stream_compression_gzip.cc',
                      'src/core/lib/compression/stream_compression_gzip.h',
                      'src/core/lib/compression/stream_compression_identity.cc',
                      'src/core/lib/compression/stream_compression_identity.h',
                      'src/core/lib/debug/stats.cc',
                      'src/core/lib/debug/stats.h',
                      'src/core/lib/debug/stats_data.cc',
                      'src/core/lib/debug/stats_data.h',
                      'src/core/lib/debug/trace.cc',
                      'src/core/lib/debug/trace.h',
                      'src/core/lib/gpr/alloc.cc',
                      'src/core/lib/gpr/alloc.h',
                      'src/core/lib/gpr/arena.h',
                      'src/core/lib/gpr/atm.cc',
                      'src/core/lib/gpr/cpu_iphone.cc',
                      'src/core/lib/gpr/cpu_linux.cc',
                      'src/core/lib/gpr/cpu_posix.cc',
                      'src/core/lib/gpr/cpu_windows.cc',
                      'src/core/lib/gpr/env.h',
                      'src/core/lib/gpr/env_linux.cc',
                      'src/core/lib/gpr/env_posix.cc',
                      'src/core/lib/gpr/env_windows.cc',
                      'src/core/lib/gpr/log.cc',
                      'src/core/lib/gpr/log_android.cc',
                      'src/core/lib/gpr/log_linux.cc',
                      'src/core/lib/gpr/log_posix.cc',
                      'src/core/lib/gpr/log_windows.cc',
                      'src/core/lib/gpr/murmur_hash.cc',
                      'src/core/lib/gpr/murmur_hash.h',
                      'src/core/lib/gpr/spinlock.h',
                      'src/core/lib/gpr/string.cc',
                      'src/core/lib/gpr/string.h',
                      'src/core/lib/gpr/string_posix.cc',
                      'src/core/lib/gpr/string_util_windows.cc',
                      'src/core/lib/gpr/string_windows.cc',
                      'src/core/lib/gpr/string_windows.h',
                      'src/core/lib/gpr/sync.cc',
                      'src/core/lib/gpr/sync_posix.cc',
                      'src/core/lib/gpr/sync_windows.cc',
                      'src/core/lib/gpr/time.cc',
                      'src/core/lib/gpr/time_posix.cc',
                      'src/core/lib/gpr/time_precise.cc',
                      'src/core/lib/gpr/time_precise.h',
                      'src/core/lib/gpr/time_windows.cc',
                      'src/core/lib/gpr/tls.h',
                      'src/core/lib/gpr/tls_gcc.h',
                      'src/core/lib/gpr/tls_msvc.h',
                      'src/core/lib/gpr/tls_pthread.cc',
                      'src/core/lib/gpr/tls_pthread.h',
                      'src/core/lib/gpr/tmpfile.h',
                      'src/core/lib/gpr/tmpfile_msys.cc',
                      'src/core/lib/gpr/tmpfile_posix.cc',
                      'src/core/lib/gpr/tmpfile_windows.cc',
                      'src/core/lib/gpr/useful.h',
                      'src/core/lib/gpr/wrap_memcpy.cc',
                      'src/core/lib/gprpp/arena.cc',
                      'src/core/lib/gprpp/arena.h',
                      'src/core/lib/gprpp/atomic.h',
                      'src/core/lib/gprpp/debug_location.h',
                      'src/core/lib/gprpp/fork.cc',
                      'src/core/lib/gprpp/fork.h',
                      'src/core/lib/gprpp/global_config.h',
                      'src/core/lib/gprpp/global_config_custom.h',
                      'src/core/lib/gprpp/global_config_env.cc',
                      'src/core/lib/gprpp/global_config_env.h',
                      'src/core/lib/gprpp/global_config_generic.h',
                      'src/core/lib/gprpp/host_port.cc',
                      'src/core/lib/gprpp/host_port.h',
                      'src/core/lib/gprpp/inlined_vector.h',
                      'src/core/lib/gprpp/manual_constructor.h',
                      'src/core/lib/gprpp/map.h',
                      'src/core/lib/gprpp/memory.h',
                      'src/core/lib/gprpp/mpscq.cc',
                      'src/core/lib/gprpp/mpscq.h',
                      'src/core/lib/gprpp/optional.h',
                      'src/core/lib/gprpp/orphanable.h',
                      'src/core/lib/gprpp/ref_counted.h',
                      'src/core/lib/gprpp/ref_counted_ptr.h',
                      'src/core/lib/gprpp/set.h',
                      'src/core/lib/gprpp/string_view.h',
                      'src/core/lib/gprpp/sync.h',
                      'src/core/lib/gprpp/thd.h',
                      'src/core/lib/gprpp/thd_posix.cc',
                      'src/core/lib/gprpp/thd_windows.cc',
                      'src/core/lib/http/format_request.cc',
                      'src/core/lib/http/format_request.h',
                      'src/core/lib/http/httpcli.cc',
                      'src/core/lib/http/httpcli.h',
                      'src/core/lib/http/httpcli_security_connector.cc',
                      'src/core/lib/http/parser.cc',
                      'src/core/lib/http/parser.h',
                      'src/core/lib/iomgr/block_annotate.h',
                      'src/core/lib/iomgr/buffer_list.cc',
                      'src/core/lib/iomgr/buffer_list.h',
                      'src/core/lib/iomgr/call_combiner.cc',
                      'src/core/lib/iomgr/call_combiner.h',
                      'src/core/lib/iomgr/cfstream_handle.cc',
                      'src/core/lib/iomgr/cfstream_handle.h',
                      'src/core/lib/iomgr/closure.h',
                      'src/core/lib/iomgr/combiner.cc',
                      'src/core/lib/iomgr/combiner.h',
                      'src/core/lib/iomgr/dynamic_annotations.h',
                      'src/core/lib/iomgr/endpoint.cc',
                      'src/core/lib/iomgr/endpoint.h',
                      'src/core/lib/iomgr/endpoint_cfstream.cc',
                      'src/core/lib/iomgr/endpoint_cfstream.h',
                      'src/core/lib/iomgr/endpoint_pair.h',
                      'src/core/lib/iomgr/endpoint_pair_posix.cc',
                      'src/core/lib/iomgr/endpoint_pair_uv.cc',
                      'src/core/lib/iomgr/endpoint_pair_windows.cc',
                      'src/core/lib/iomgr/error.cc',
                      'src/core/lib/iomgr/error.h',
                      'src/core/lib/iomgr/error_cfstream.cc',
                      'src/core/lib/iomgr/error_cfstream.h',
                      'src/core/lib/iomgr/error_internal.h',
                      'src/core/lib/iomgr/ev_epoll1_linux.cc',
                      'src/core/lib/iomgr/ev_epoll1_linux.h',
                      'src/core/lib/iomgr/ev_epollex_linux.cc',
                      'src/core/lib/iomgr/ev_epollex_linux.h',
                      'src/core/lib/iomgr/ev_poll_posix.cc',
                      'src/core/lib/iomgr/ev_poll_posix.h',
                      'src/core/lib/iomgr/ev_posix.cc',
                      'src/core/lib/iomgr/ev_posix.h',
                      'src/core/lib/iomgr/ev_windows.cc',
                      'src/core/lib/iomgr/exec_ctx.cc',
                      'src/core/lib/iomgr/exec_ctx.h',
                      'src/core/lib/iomgr/executor.cc',
                      'src/core/lib/iomgr/executor.h',
                      'src/core/lib/iomgr/executor/mpmcqueue.cc',
                      'src/core/lib/iomgr/executor/mpmcqueue.h',
                      'src/core/lib/iomgr/executor/threadpool.cc',
                      'src/core/lib/iomgr/executor/threadpool.h',
                      'src/core/lib/iomgr/fork_posix.cc',
                      'src/core/lib/iomgr/fork_windows.cc',
                      'src/core/lib/iomgr/gethostname.h',
                      'src/core/lib/iomgr/gethostname_fallback.cc',
                      'src/core/lib/iomgr/gethostname_host_name_max.cc',
                      'src/core/lib/iomgr/gethostname_sysconf.cc',
                      'src/core/lib/iomgr/grpc_if_nametoindex.h',
                      'src/core/lib/iomgr/grpc_if_nametoindex_posix.cc',
                      'src/core/lib/iomgr/grpc_if_nametoindex_unsupported.cc',
                      'src/core/lib/iomgr/internal_errqueue.cc',
                      'src/core/lib/iomgr/internal_errqueue.h',
                      'src/core/lib/iomgr/iocp_windows.cc',
                      'src/core/lib/iomgr/iocp_windows.h',
                      'src/core/lib/iomgr/iomgr.cc',
                      'src/core/lib/iomgr/iomgr.h',
                      'src/core/lib/iomgr/iomgr_custom.cc',
                      'src/core/lib/iomgr/iomgr_custom.h',
                      'src/core/lib/iomgr/iomgr_internal.cc',
                      'src/core/lib/iomgr/iomgr_internal.h',
                      'src/core/lib/iomgr/iomgr_posix.cc',
                      'src/core/lib/iomgr/iomgr_posix.h',
                      'src/core/lib/iomgr/iomgr_posix_cfstream.cc',
                      'src/core/lib/iomgr/iomgr_uv.cc',
                      'src/core/lib/iomgr/iomgr_windows.cc',
                      'src/core/lib/iomgr/is_epollexclusive_available.cc',
                      'src/core/lib/iomgr/is_epollexclusive_available.h',
                      'src/core/lib/iomgr/load_file.cc',
                      'src/core/lib/iomgr/load_file.h',
                      'src/core/lib/iomgr/lockfree_event.cc',
                      'src/core/lib/iomgr/lockfree_event.h',
                      'src/core/lib/iomgr/nameser.h',
                      'src/core/lib/iomgr/polling_entity.cc',
                      'src/core/lib/iomgr/polling_entity.h',
                      'src/core/lib/iomgr/pollset.cc',
                      'src/core/lib/iomgr/pollset.h',
                      'src/core/lib/iomgr/pollset_custom.cc',
                      'src/core/lib/iomgr/pollset_custom.h',
                      'src/core/lib/iomgr/pollset_set.cc',
                      'src/core/lib/iomgr/pollset_set.h',
                      'src/core/lib/iomgr/pollset_set_custom.cc',
                      'src/core/lib/iomgr/pollset_set_custom.h',
                      'src/core/lib/iomgr/pollset_set_windows.cc',
                      'src/core/lib/iomgr/pollset_set_windows.h',
                      'src/core/lib/iomgr/pollset_uv.cc',
                      'src/core/lib/iomgr/pollset_windows.cc',
                      'src/core/lib/iomgr/pollset_windows.h',
                      'src/core/lib/iomgr/port.h',
                      'src/core/lib/iomgr/resolve_address.cc',
                      'src/core/lib/iomgr/resolve_address.h',
                      'src/core/lib/iomgr/resolve_address_custom.cc',
                      'src/core/lib/iomgr/resolve_address_custom.h',
                      'src/core/lib/iomgr/resolve_address_posix.cc',
                      'src/core/lib/iomgr/resolve_address_windows.cc',
                      'src/core/lib/iomgr/resource_quota.cc',
                      'src/core/lib/iomgr/resource_quota.h',
                      'src/core/lib/iomgr/sockaddr.h',
                      'src/core/lib/iomgr/sockaddr_custom.h',
                      'src/core/lib/iomgr/sockaddr_posix.h',
                      'src/core/lib/iomgr/sockaddr_utils.cc',
                      'src/core/lib/iomgr/sockaddr_utils.h',
                      'src/core/lib/iomgr/sockaddr_windows.h',
                      'src/core/lib/iomgr/socket_factory_posix.cc',
                      'src/core/lib/iomgr/socket_factory_posix.h',
                      'src/core/lib/iomgr/socket_mutator.cc',
                      'src/core/lib/iomgr/socket_mutator.h',
                      'src/core/lib/iomgr/socket_utils.h',
                      'src/core/lib/iomgr/socket_utils_common_posix.cc',
                      'src/core/lib/iomgr/socket_utils_linux.cc',
                      'src/core/lib/iomgr/socket_utils_posix.cc',
                      'src/core/lib/iomgr/socket_utils_posix.h',
                      'src/core/lib/iomgr/socket_utils_uv.cc',
                      'src/core/lib/iomgr/socket_utils_windows.cc',
                      'src/core/lib/iomgr/socket_windows.cc',
                      'src/core/lib/iomgr/socket_windows.h',
                      'src/core/lib/iomgr/sys_epoll_wrapper.h',
                      'src/core/lib/iomgr/tcp_client.cc',
                      'src/core/lib/iomgr/tcp_client.h',
                      'src/core/lib/iomgr/tcp_client_cfstream.cc',
                      'src/core/lib/iomgr/tcp_client_custom.cc',
                      'src/core/lib/iomgr/tcp_client_posix.cc',
                      'src/core/lib/iomgr/tcp_client_posix.h',
                      'src/core/lib/iomgr/tcp_client_windows.cc',
                      'src/core/lib/iomgr/tcp_custom.cc',
                      'src/core/lib/iomgr/tcp_custom.h',
                      'src/core/lib/iomgr/tcp_posix.cc',
                      'src/core/lib/iomgr/tcp_posix.h',
                      'src/core/lib/iomgr/tcp_server.cc',
                      'src/core/lib/iomgr/tcp_server.h',
                      'src/core/lib/iomgr/tcp_server_custom.cc',
                      'src/core/lib/iomgr/tcp_server_posix.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix.h',
                      'src/core/lib/iomgr/tcp_server_utils_posix_common.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix_ifaddrs.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix_noifaddrs.cc',
                      'src/core/lib/iomgr/tcp_server_windows.cc',
                      'src/core/lib/iomgr/tcp_uv.cc',
                      'src/core/lib/iomgr/tcp_windows.cc',
                      'src/core/lib/iomgr/tcp_windows.h',
                      'src/core/lib/iomgr/time_averaged_stats.cc',
                      'src/core/lib/iomgr/time_averaged_stats.h',
                      'src/core/lib/iomgr/timer.cc',
                      'src/core/lib/iomgr/timer.h',
                      'src/core/lib/iomgr/timer_custom.cc',
                      'src/core/lib/iomgr/timer_custom.h',
                      'src/core/lib/iomgr/timer_generic.cc',
                      'src/core/lib/iomgr/timer_heap.cc',
                      'src/core/lib/iomgr/timer_heap.h',
                      'src/core/lib/iomgr/timer_manager.cc',
                      'src/core/lib/iomgr/timer_manager.h',
                      'src/core/lib/iomgr/timer_uv.cc',
                      'src/core/lib/iomgr/udp_server.cc',
                      'src/core/lib/iomgr/udp_server.h',
                      'src/core/lib/iomgr/unix_sockets_posix.cc',
                      'src/core/lib/iomgr/unix_sockets_posix.h',
                      'src/core/lib/iomgr/unix_sockets_posix_noop.cc',
                      'src/core/lib/iomgr/wakeup_fd_eventfd.cc',
                      'src/core/lib/iomgr/wakeup_fd_nospecial.cc',
                      'src/core/lib/iomgr/wakeup_fd_pipe.cc',
                      'src/core/lib/iomgr/wakeup_fd_pipe.h',
                      'src/core/lib/iomgr/wakeup_fd_posix.cc',
                      'src/core/lib/iomgr/wakeup_fd_posix.h',
                      'src/core/lib/json/json.cc',
                      'src/core/lib/json/json.h',
                      'src/core/lib/json/json_common.h',
                      'src/core/lib/json/json_reader.cc',
                      'src/core/lib/json/json_reader.h',
                      'src/core/lib/json/json_string.cc',
                      'src/core/lib/json/json_writer.cc',
                      'src/core/lib/json/json_writer.h',
                      'src/core/lib/profiling/basic_timers.cc',
                      'src/core/lib/profiling/stap_timers.cc',
                      'src/core/lib/profiling/timers.h',
                      'src/core/lib/security/context/security_context.cc',
                      'src/core/lib/security/context/security_context.h',
                      'src/core/lib/security/credentials/alts/alts_credentials.cc',
                      'src/core/lib/security/credentials/alts/alts_credentials.h',
                      'src/core/lib/security/credentials/alts/check_gcp_environment.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_linux.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_no_op.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_windows.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_client_options.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_server_options.cc',
                      'src/core/lib/security/credentials/composite/composite_credentials.cc',
                      'src/core/lib/security/credentials/composite/composite_credentials.h',
                      'src/core/lib/security/credentials/credentials.cc',
                      'src/core/lib/security/credentials/credentials.h',
                      'src/core/lib/security/credentials/credentials_metadata.cc',
                      'src/core/lib/security/credentials/fake/fake_credentials.cc',
                      'src/core/lib/security/credentials/fake/fake_credentials.h',
                      'src/core/lib/security/credentials/google_default/credentials_generic.cc',
                      'src/core/lib/security/credentials/google_default/google_default_credentials.cc',
                      'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                      'src/core/lib/security/credentials/iam/iam_credentials.cc',
                      'src/core/lib/security/credentials/iam/iam_credentials.h',
                      'src/core/lib/security/credentials/jwt/json_token.cc',
                      'src/core/lib/security/credentials/jwt/json_token.h',
                      'src/core/lib/security/credentials/jwt/jwt_credentials.cc',
                      'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                      'src/core/lib/security/credentials/jwt/jwt_verifier.cc',
                      'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                      'src/core/lib/security/credentials/local/local_credentials.cc',
                      'src/core/lib/security/credentials/local/local_credentials.h',
                      'src/core/lib/security/credentials/oauth2/oauth2_credentials.cc',
                      'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                      'src/core/lib/security/credentials/plugin/plugin_credentials.cc',
                      'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                      'src/core/lib/security/credentials/ssl/ssl_credentials.cc',
                      'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.cc',
                      'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                      'src/core/lib/security/credentials/tls/spiffe_credentials.cc',
                      'src/core/lib/security/credentials/tls/spiffe_credentials.h',
                      'src/core/lib/security/security_connector/alts/alts_security_connector.cc',
                      'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                      'src/core/lib/security/security_connector/fake/fake_security_connector.cc',
                      'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                      'src/core/lib/security/security_connector/load_system_roots.h',
                      'src/core/lib/security/security_connector/load_system_roots_fallback.cc',
                      'src/core/lib/security/security_connector/load_system_roots_linux.cc',
                      'src/core/lib/security/security_connector/load_system_roots_linux.h',
                      'src/core/lib/security/security_connector/local/local_security_connector.cc',
                      'src/core/lib/security/security_connector/local/local_security_connector.h',
                      'src/core/lib/security/security_connector/security_connector.cc',
                      'src/core/lib/security/security_connector/security_connector.h',
                      'src/core/lib/security/security_connector/ssl/ssl_security_connector.cc',
                      'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                      'src/core/lib/security/security_connector/ssl_utils.cc',
                      'src/core/lib/security/security_connector/ssl_utils.h',
                      'src/core/lib/security/security_connector/ssl_utils_config.cc',
                      'src/core/lib/security/security_connector/ssl_utils_config.h',
                      'src/core/lib/security/security_connector/tls/spiffe_security_connector.cc',
                      'src/core/lib/security/security_connector/tls/spiffe_security_connector.h',
                      'src/core/lib/security/transport/auth_filters.h',
                      'src/core/lib/security/transport/client_auth_filter.cc',
                      'src/core/lib/security/transport/secure_endpoint.cc',
                      'src/core/lib/security/transport/secure_endpoint.h',
                      'src/core/lib/security/transport/security_handshaker.cc',
                      'src/core/lib/security/transport/security_handshaker.h',
                      'src/core/lib/security/transport/server_auth_filter.cc',
                      'src/core/lib/security/transport/target_authority_table.cc',
                      'src/core/lib/security/transport/target_authority_table.h',
                      'src/core/lib/security/transport/tsi_error.cc',
                      'src/core/lib/security/transport/tsi_error.h',
                      'src/core/lib/security/util/json_util.cc',
                      'src/core/lib/security/util/json_util.h',
                      'src/core/lib/slice/b64.cc',
                      'src/core/lib/slice/b64.h',
                      'src/core/lib/slice/percent_encoding.cc',
                      'src/core/lib/slice/percent_encoding.h',
                      'src/core/lib/slice/slice.cc',
                      'src/core/lib/slice/slice_buffer.cc',
                      'src/core/lib/slice/slice_hash_table.h',
                      'src/core/lib/slice/slice_intern.cc',
                      'src/core/lib/slice/slice_internal.h',
                      'src/core/lib/slice/slice_string_helpers.cc',
                      'src/core/lib/slice/slice_string_helpers.h',
                      'src/core/lib/slice/slice_utils.h',
                      'src/core/lib/slice/slice_weak_hash_table.h',
                      'src/core/lib/surface/api_trace.cc',
                      'src/core/lib/surface/api_trace.h',
                      'src/core/lib/surface/byte_buffer.cc',
                      'src/core/lib/surface/byte_buffer_reader.cc',
                      'src/core/lib/surface/call.cc',
                      'src/core/lib/surface/call.h',
                      'src/core/lib/surface/call_details.cc',
                      'src/core/lib/surface/call_log_batch.cc',
                      'src/core/lib/surface/call_test_only.h',
                      'src/core/lib/surface/channel.cc',
                      'src/core/lib/surface/channel.h',
                      'src/core/lib/surface/channel_init.cc',
                      'src/core/lib/surface/channel_init.h',
                      'src/core/lib/surface/channel_ping.cc',
                      'src/core/lib/surface/channel_stack_type.cc',
                      'src/core/lib/surface/channel_stack_type.h',
                      'src/core/lib/surface/completion_queue.cc',
                      'src/core/lib/surface/completion_queue.h',
                      'src/core/lib/surface/completion_queue_factory.cc',
                      'src/core/lib/surface/completion_queue_factory.h',
                      'src/core/lib/surface/event_string.cc',
                      'src/core/lib/surface/event_string.h',
                      'src/core/lib/surface/init.cc',
                      'src/core/lib/surface/init.h',
                      'src/core/lib/surface/init_secure.cc',
                      'src/core/lib/surface/lame_client.cc',
                      'src/core/lib/surface/lame_client.h',
                      'src/core/lib/surface/metadata_array.cc',
                      'src/core/lib/surface/server.cc',
                      'src/core/lib/surface/server.h',
                      'src/core/lib/surface/validate_metadata.cc',
                      'src/core/lib/surface/validate_metadata.h',
                      'src/core/lib/surface/version.cc',
                      'src/core/lib/transport/bdp_estimator.cc',
                      'src/core/lib/transport/bdp_estimator.h',
                      'src/core/lib/transport/byte_stream.cc',
                      'src/core/lib/transport/byte_stream.h',
                      'src/core/lib/transport/connectivity_state.cc',
                      'src/core/lib/transport/connectivity_state.h',
                      'src/core/lib/transport/error_utils.cc',
                      'src/core/lib/transport/error_utils.h',
                      'src/core/lib/transport/http2_errors.h',
                      'src/core/lib/transport/metadata.cc',
                      'src/core/lib/transport/metadata.h',
                      'src/core/lib/transport/metadata_batch.cc',
                      'src/core/lib/transport/metadata_batch.h',
                      'src/core/lib/transport/pid_controller.cc',
                      'src/core/lib/transport/pid_controller.h',
                      'src/core/lib/transport/static_metadata.cc',
                      'src/core/lib/transport/static_metadata.h',
                      'src/core/lib/transport/status_conversion.cc',
                      'src/core/lib/transport/status_conversion.h',
                      'src/core/lib/transport/status_metadata.cc',
                      'src/core/lib/transport/status_metadata.h',
                      'src/core/lib/transport/timeout_encoding.cc',
                      'src/core/lib/transport/timeout_encoding.h',
                      'src/core/lib/transport/transport.cc',
                      'src/core/lib/transport/transport.h',
                      'src/core/lib/transport/transport_impl.h',
                      'src/core/lib/transport/transport_op_string.cc',
                      'src/core/lib/uri/uri_parser.cc',
                      'src/core/lib/uri/uri_parser.h',
                      'src/core/plugin_registry/grpc_plugin_registry.cc',
                      'src/core/tsi/alts/crypt/aes_gcm.cc',
                      'src/core/tsi/alts/crypt/gsec.cc',
                      'src/core/tsi/alts/crypt/gsec.h',
                      'src/core/tsi/alts/frame_protector/alts_counter.cc',
                      'src/core/tsi/alts/frame_protector/alts_counter.h',
                      'src/core/tsi/alts/frame_protector/alts_crypter.cc',
                      'src/core/tsi/alts/frame_protector/alts_crypter.h',
                      'src/core/tsi/alts/frame_protector/alts_frame_protector.cc',
                      'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                      'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.cc',
                      'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                      'src/core/tsi/alts/frame_protector/alts_seal_privacy_integrity_crypter.cc',
                      'src/core/tsi/alts/frame_protector/alts_unseal_privacy_integrity_crypter.cc',
                      'src/core/tsi/alts/frame_protector/frame_handler.cc',
                      'src/core/tsi/alts/frame_protector/frame_handler.h',
                      'src/core/tsi/alts/handshaker/alts_handshaker_client.cc',
                      'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                      'src/core/tsi/alts/handshaker/alts_shared_resource.cc',
                      'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker.cc',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_utils.cc',
                      'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                      'src/core/tsi/alts/handshaker/transport_security_common_api.cc',
                      'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                      'src/core/tsi/fake_transport_security.cc',
                      'src/core/tsi/fake_transport_security.h',
                      'src/core/tsi/grpc_shadow_boringssl.h',
                      'src/core/tsi/local_transport_security.cc',
                      'src/core/tsi/local_transport_security.h',
                      'src/core/tsi/ssl/session_cache/ssl_session.h',
                      'src/core/tsi/ssl/session_cache/ssl_session_boringssl.cc',
                      'src/core/tsi/ssl/session_cache/ssl_session_cache.cc',
                      'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                      'src/core/tsi/ssl/session_cache/ssl_session_openssl.cc',
                      'src/core/tsi/ssl_transport_security.cc',
                      'src/core/tsi/ssl_transport_security.h',
                      'src/core/tsi/ssl_types.h',
                      'src/core/tsi/transport_security.cc',
                      'src/core/tsi/transport_security.h',
                      'src/core/tsi/transport_security_grpc.cc',
                      'src/core/tsi/transport_security_grpc.h',
                      'src/core/tsi/transport_security_interface.h',
                      'third_party/upb/upb/decode.c',
                      'third_party/upb/upb/decode.h',
                      'third_party/upb/upb/encode.c',
                      'third_party/upb/upb/encode.h',
                      'third_party/upb/upb/generated_util.h',
                      'third_party/upb/upb/msg.c',
                      'third_party/upb/upb/msg.h',
                      'third_party/upb/upb/port.c',
                      'third_party/upb/upb/port_def.inc',
                      'third_party/upb/upb/port_undef.inc',
                      'third_party/upb/upb/table.c',
                      'third_party/upb/upb/table.int.h',
                      'third_party/upb/upb/upb.c',
                      'third_party/upb/upb/upb.h'

    ss.private_header_files = 'src/core/ext/filters/client_channel/backend_metric.h',
                              'src/core/ext/filters/client_channel/backup_poller.h',
                              'src/core/ext/filters/client_channel/client_channel.h',
                              'src/core/ext/filters/client_channel/client_channel_channelz.h',
                              'src/core/ext/filters/client_channel/client_channel_factory.h',
                              'src/core/ext/filters/client_channel/connector.h',
                              'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/health/health_check_client.h',
                              'src/core/ext/filters/client_channel/http_connect_handshaker.h',
                              'src/core/ext/filters/client_channel/http_proxy.h',
                              'src/core/ext/filters/client_channel/lb_policy.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_channel.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                              'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds.h',
                              'src/core/ext/filters/client_channel/lb_policy_factory.h',
                              'src/core/ext/filters/client_channel/lb_policy_registry.h',
                              'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/parse_address.h',
                              'src/core/ext/filters/client_channel/proxy_mapper.h',
                              'src/core/ext/filters/client_channel/proxy_mapper_registry.h',
                              'src/core/ext/filters/client_channel/resolver.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                              'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                              'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                              'src/core/ext/filters/client_channel/resolver_factory.h',
                              'src/core/ext/filters/client_channel/resolver_registry.h',
                              'src/core/ext/filters/client_channel/resolver_result_parsing.h',
                              'src/core/ext/filters/client_channel/resolving_lb_policy.h',
                              'src/core/ext/filters/client_channel/retry_throttle.h',
                              'src/core/ext/filters/client_channel/server_address.h',
                              'src/core/ext/filters/client_channel/service_config.h',
                              'src/core/ext/filters/client_channel/subchannel.h',
                              'src/core/ext/filters/client_channel/subchannel_interface.h',
                              'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                              'src/core/ext/filters/client_channel/xds/xds_api.h',
                              'src/core/ext/filters/client_channel/xds/xds_bootstrap.h',
                              'src/core/ext/filters/client_channel/xds/xds_channel.h',
                              'src/core/ext/filters/client_channel/xds/xds_channel_args.h',
                              'src/core/ext/filters/client_channel/xds/xds_client.h',
                              'src/core/ext/filters/client_channel/xds/xds_client_stats.h',
                              'src/core/ext/filters/deadline/deadline_filter.h',
                              'src/core/ext/filters/http/client/http_client_filter.h',
                              'src/core/ext/filters/http/client_authority_filter.h',
                              'src/core/ext/filters/http/message_compress/message_compress_filter.h',
                              'src/core/ext/filters/http/server/http_server_filter.h',
                              'src/core/ext/filters/max_age/max_age_filter.h',
                              'src/core/ext/filters/message_size/message_size_filter.h',
                              'src/core/ext/filters/workarounds/workaround_cronet_compression_filter.h',
                              'src/core/ext/filters/workarounds/workaround_utils.h',
                              'src/core/ext/transport/chttp2/alpn/alpn.h',
                              'src/core/ext/transport/chttp2/client/authority.h',
                              'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                              'src/core/ext/transport/chttp2/server/chttp2_server.h',
                              'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                              'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                              'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                              'src/core/ext/transport/chttp2/transport/context_list.h',
                              'src/core/ext/transport/chttp2/transport/flow_control.h',
                              'src/core/ext/transport/chttp2/transport/frame.h',
                              'src/core/ext/transport/chttp2/transport/frame_data.h',
                              'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                              'src/core/ext/transport/chttp2/transport/frame_ping.h',
                              'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                              'src/core/ext/transport/chttp2/transport/frame_settings.h',
                              'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                              'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                              'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                              'src/core/ext/transport/chttp2/transport/hpack_table.h',
                              'src/core/ext/transport/chttp2/transport/http2_settings.h',
                              'src/core/ext/transport/chttp2/transport/huffsyms.h',
                              'src/core/ext/transport/chttp2/transport/incoming_metadata.h',
                              'src/core/ext/transport/chttp2/transport/internal.h',
                              'src/core/ext/transport/chttp2/transport/stream_map.h',
                              'src/core/ext/transport/chttp2/transport/varint.h',
                              'src/core/ext/transport/inproc/inproc_transport.h',
                              'src/core/ext/upb-generated/envoy/api/v2/auth/cert.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/cds.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/cluster/circuit_breaker.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/cluster/filter.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/cluster/outlier_detection.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/address.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/base.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/config_source.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/grpc_service.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/health_check.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/http_uri.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/core/protocol.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/discovery.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/eds.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/endpoint/endpoint.upb.h',
                              'src/core/ext/upb-generated/envoy/api/v2/endpoint/load_report.upb.h',
                              'src/core/ext/upb-generated/envoy/service/discovery/v2/ads.upb.h',
                              'src/core/ext/upb-generated/envoy/service/load_stats/v2/lrs.upb.h',
                              'src/core/ext/upb-generated/envoy/type/percent.upb.h',
                              'src/core/ext/upb-generated/envoy/type/range.upb.h',
                              'src/core/ext/upb-generated/gogoproto/gogo.upb.h',
                              'src/core/ext/upb-generated/google/api/annotations.upb.h',
                              'src/core/ext/upb-generated/google/api/http.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                              'src/core/ext/upb-generated/google/rpc/status.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                              'src/core/ext/upb-generated/udpa/data/orca/v1/orca_load_report.upb.h',
                              'src/core/ext/upb-generated/validate/validate.upb.h',
                              'src/core/lib/avl/avl.h',
                              'src/core/lib/backoff/backoff.h',
                              'src/core/lib/channel/channel_args.h',
                              'src/core/lib/channel/channel_stack.h',
                              'src/core/lib/channel/channel_stack_builder.h',
                              'src/core/lib/channel/channel_trace.h',
                              'src/core/lib/channel/channelz.h',
                              'src/core/lib/channel/channelz_registry.h',
                              'src/core/lib/channel/connected_channel.h',
                              'src/core/lib/channel/context.h',
                              'src/core/lib/channel/handshaker.h',
                              'src/core/lib/channel/handshaker_factory.h',
                              'src/core/lib/channel/handshaker_registry.h',
                              'src/core/lib/channel/status_util.h',
                              'src/core/lib/compression/algorithm_metadata.h',
                              'src/core/lib/compression/compression_args.h',
                              'src/core/lib/compression/compression_internal.h',
                              'src/core/lib/compression/message_compress.h',
                              'src/core/lib/compression/stream_compression.h',
                              'src/core/lib/compression/stream_compression_gzip.h',
                              'src/core/lib/compression/stream_compression_identity.h',
                              'src/core/lib/debug/stats.h',
                              'src/core/lib/debug/stats_data.h',
                              'src/core/lib/debug/trace.h',
                              'src/core/lib/gpr/alloc.h',
                              'src/core/lib/gpr/arena.h',
                              'src/core/lib/gpr/env.h',
                              'src/core/lib/gpr/murmur_hash.h',
                              'src/core/lib/gpr/spinlock.h',
                              'src/core/lib/gpr/string.h',
                              'src/core/lib/gpr/string_windows.h',
                              'src/core/lib/gpr/time_precise.h',
                              'src/core/lib/gpr/tls.h',
                              'src/core/lib/gpr/tls_gcc.h',
                              'src/core/lib/gpr/tls_msvc.h',
                              'src/core/lib/gpr/tls_pthread.h',
                              'src/core/lib/gpr/tmpfile.h',
                              'src/core/lib/gpr/useful.h',
                              'src/core/lib/gprpp/arena.h',
                              'src/core/lib/gprpp/atomic.h',
                              'src/core/lib/gprpp/debug_location.h',
                              'src/core/lib/gprpp/fork.h',
                              'src/core/lib/gprpp/global_config.h',
                              'src/core/lib/gprpp/global_config_custom.h',
                              'src/core/lib/gprpp/global_config_env.h',
                              'src/core/lib/gprpp/global_config_generic.h',
                              'src/core/lib/gprpp/host_port.h',
                              'src/core/lib/gprpp/inlined_vector.h',
                              'src/core/lib/gprpp/manual_constructor.h',
                              'src/core/lib/gprpp/map.h',
                              'src/core/lib/gprpp/memory.h',
                              'src/core/lib/gprpp/mpscq.h',
                              'src/core/lib/gprpp/optional.h',
                              'src/core/lib/gprpp/orphanable.h',
                              'src/core/lib/gprpp/ref_counted.h',
                              'src/core/lib/gprpp/ref_counted_ptr.h',
                              'src/core/lib/gprpp/set.h',
                              'src/core/lib/gprpp/string_view.h',
                              'src/core/lib/gprpp/sync.h',
                              'src/core/lib/gprpp/thd.h',
                              'src/core/lib/http/format_request.h',
                              'src/core/lib/http/httpcli.h',
                              'src/core/lib/http/parser.h',
                              'src/core/lib/iomgr/block_annotate.h',
                              'src/core/lib/iomgr/buffer_list.h',
                              'src/core/lib/iomgr/call_combiner.h',
                              'src/core/lib/iomgr/cfstream_handle.h',
                              'src/core/lib/iomgr/closure.h',
                              'src/core/lib/iomgr/combiner.h',
                              'src/core/lib/iomgr/dynamic_annotations.h',
                              'src/core/lib/iomgr/endpoint.h',
                              'src/core/lib/iomgr/endpoint_cfstream.h',
                              'src/core/lib/iomgr/endpoint_pair.h',
                              'src/core/lib/iomgr/error.h',
                              'src/core/lib/iomgr/error_cfstream.h',
                              'src/core/lib/iomgr/error_internal.h',
                              'src/core/lib/iomgr/ev_epoll1_linux.h',
                              'src/core/lib/iomgr/ev_epollex_linux.h',
                              'src/core/lib/iomgr/ev_poll_posix.h',
                              'src/core/lib/iomgr/ev_posix.h',
                              'src/core/lib/iomgr/exec_ctx.h',
                              'src/core/lib/iomgr/executor.h',
                              'src/core/lib/iomgr/executor/mpmcqueue.h',
                              'src/core/lib/iomgr/executor/threadpool.h',
                              'src/core/lib/iomgr/gethostname.h',
                              'src/core/lib/iomgr/grpc_if_nametoindex.h',
                              'src/core/lib/iomgr/internal_errqueue.h',
                              'src/core/lib/iomgr/iocp_windows.h',
                              'src/core/lib/iomgr/iomgr.h',
                              'src/core/lib/iomgr/iomgr_custom.h',
                              'src/core/lib/iomgr/iomgr_internal.h',
                              'src/core/lib/iomgr/iomgr_posix.h',
                              'src/core/lib/iomgr/is_epollexclusive_available.h',
                              'src/core/lib/iomgr/load_file.h',
                              'src/core/lib/iomgr/lockfree_event.h',
                              'src/core/lib/iomgr/nameser.h',
                              'src/core/lib/iomgr/polling_entity.h',
                              'src/core/lib/iomgr/pollset.h',
                              'src/core/lib/iomgr/pollset_custom.h',
                              'src/core/lib/iomgr/pollset_set.h',
                              'src/core/lib/iomgr/pollset_set_custom.h',
                              'src/core/lib/iomgr/pollset_set_windows.h',
                              'src/core/lib/iomgr/pollset_windows.h',
                              'src/core/lib/iomgr/port.h',
                              'src/core/lib/iomgr/resolve_address.h',
                              'src/core/lib/iomgr/resolve_address_custom.h',
                              'src/core/lib/iomgr/resource_quota.h',
                              'src/core/lib/iomgr/sockaddr.h',
                              'src/core/lib/iomgr/sockaddr_custom.h',
                              'src/core/lib/iomgr/sockaddr_posix.h',
                              'src/core/lib/iomgr/sockaddr_utils.h',
                              'src/core/lib/iomgr/sockaddr_windows.h',
                              'src/core/lib/iomgr/socket_factory_posix.h',
                              'src/core/lib/iomgr/socket_mutator.h',
                              'src/core/lib/iomgr/socket_utils.h',
                              'src/core/lib/iomgr/socket_utils_posix.h',
                              'src/core/lib/iomgr/socket_windows.h',
                              'src/core/lib/iomgr/sys_epoll_wrapper.h',
                              'src/core/lib/iomgr/tcp_client.h',
                              'src/core/lib/iomgr/tcp_client_posix.h',
                              'src/core/lib/iomgr/tcp_custom.h',
                              'src/core/lib/iomgr/tcp_posix.h',
                              'src/core/lib/iomgr/tcp_server.h',
                              'src/core/lib/iomgr/tcp_server_utils_posix.h',
                              'src/core/lib/iomgr/tcp_windows.h',
                              'src/core/lib/iomgr/time_averaged_stats.h',
                              'src/core/lib/iomgr/timer.h',
                              'src/core/lib/iomgr/timer_custom.h',
                              'src/core/lib/iomgr/timer_heap.h',
                              'src/core/lib/iomgr/timer_manager.h',
                              'src/core/lib/iomgr/udp_server.h',
                              'src/core/lib/iomgr/unix_sockets_posix.h',
                              'src/core/lib/iomgr/wakeup_fd_pipe.h',
                              'src/core/lib/iomgr/wakeup_fd_posix.h',
                              'src/core/lib/json/json.h',
                              'src/core/lib/json/json_common.h',
                              'src/core/lib/json/json_reader.h',
                              'src/core/lib/json/json_writer.h',
                              'src/core/lib/profiling/timers.h',
                              'src/core/lib/security/context/security_context.h',
                              'src/core/lib/security/credentials/alts/alts_credentials.h',
                              'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                              'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                              'src/core/lib/security/credentials/composite/composite_credentials.h',
                              'src/core/lib/security/credentials/credentials.h',
                              'src/core/lib/security/credentials/fake/fake_credentials.h',
                              'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                              'src/core/lib/security/credentials/iam/iam_credentials.h',
                              'src/core/lib/security/credentials/jwt/json_token.h',
                              'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                              'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                              'src/core/lib/security/credentials/local/local_credentials.h',
                              'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                              'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                              'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                              'src/core/lib/security/credentials/tls/spiffe_credentials.h',
                              'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                              'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                              'src/core/lib/security/security_connector/load_system_roots.h',
                              'src/core/lib/security/security_connector/load_system_roots_linux.h',
                              'src/core/lib/security/security_connector/local/local_security_connector.h',
                              'src/core/lib/security/security_connector/security_connector.h',
                              'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                              'src/core/lib/security/security_connector/ssl_utils.h',
                              'src/core/lib/security/security_connector/ssl_utils_config.h',
                              'src/core/lib/security/security_connector/tls/spiffe_security_connector.h',
                              'src/core/lib/security/transport/auth_filters.h',
                              'src/core/lib/security/transport/secure_endpoint.h',
                              'src/core/lib/security/transport/security_handshaker.h',
                              'src/core/lib/security/transport/target_authority_table.h',
                              'src/core/lib/security/transport/tsi_error.h',
                              'src/core/lib/security/util/json_util.h',
                              'src/core/lib/slice/b64.h',
                              'src/core/lib/slice/percent_encoding.h',
                              'src/core/lib/slice/slice_hash_table.h',
                              'src/core/lib/slice/slice_internal.h',
                              'src/core/lib/slice/slice_string_helpers.h',
                              'src/core/lib/slice/slice_utils.h',
                              'src/core/lib/slice/slice_weak_hash_table.h',
                              'src/core/lib/surface/api_trace.h',
                              'src/core/lib/surface/call.h',
                              'src/core/lib/surface/call_test_only.h',
                              'src/core/lib/surface/channel.h',
                              'src/core/lib/surface/channel_init.h',
                              'src/core/lib/surface/channel_stack_type.h',
                              'src/core/lib/surface/completion_queue.h',
                              'src/core/lib/surface/completion_queue_factory.h',
                              'src/core/lib/surface/event_string.h',
                              'src/core/lib/surface/init.h',
                              'src/core/lib/surface/lame_client.h',
                              'src/core/lib/surface/server.h',
                              'src/core/lib/surface/validate_metadata.h',
                              'src/core/lib/transport/bdp_estimator.h',
                              'src/core/lib/transport/byte_stream.h',
                              'src/core/lib/transport/connectivity_state.h',
                              'src/core/lib/transport/error_utils.h',
                              'src/core/lib/transport/http2_errors.h',
                              'src/core/lib/transport/metadata.h',
                              'src/core/lib/transport/metadata_batch.h',
                              'src/core/lib/transport/pid_controller.h',
                              'src/core/lib/transport/static_metadata.h',
                              'src/core/lib/transport/status_conversion.h',
                              'src/core/lib/transport/status_metadata.h',
                              'src/core/lib/transport/timeout_encoding.h',
                              'src/core/lib/transport/transport.h',
                              'src/core/lib/transport/transport_impl.h',
                              'src/core/lib/uri/uri_parser.h',
                              'src/core/tsi/alts/crypt/gsec.h',
                              'src/core/tsi/alts/frame_protector/alts_counter.h',
                              'src/core/tsi/alts/frame_protector/alts_crypter.h',
                              'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                              'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                              'src/core/tsi/alts/frame_protector/frame_handler.h',
                              'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                              'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                              'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                              'src/core/tsi/fake_transport_security.h',
                              'src/core/tsi/grpc_shadow_boringssl.h',
                              'src/core/tsi/local_transport_security.h',
                              'src/core/tsi/ssl/session_cache/ssl_session.h',
                              'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                              'src/core/tsi/ssl_transport_security.h',
                              'src/core/tsi/ssl_types.h',
                              'src/core/tsi/transport_security.h',
                              'src/core/tsi/transport_security_grpc.h',
                              'src/core/tsi/transport_security_interface.h',
                              'third_party/upb/upb/decode.h',
                              'third_party/upb/upb/encode.h',
                              'third_party/upb/upb/generated_util.h',
                              'third_party/upb/upb/msg.h',
                              'third_party/upb/upb/port_def.inc',
                              'third_party/upb/upb/port_undef.inc',
                              'third_party/upb/upb/table.int.h',
                              'third_party/upb/upb/upb.h'
  end

  # CFStream is now default. Leaving this subspec only for compatibility purpose.
  s.subspec 'CFStream-Implementation' do |ss|
    ss.dependency "#{s.name}/Implementation", version
  end

  s.subspec 'Cronet-Interface' do |ss|
    ss.header_mappings_dir = 'include/grpc'
    ss.source_files = 'include/grpc/grpc_cronet.h'
  end

  s.subspec 'Cronet-Implementation' do |ss|
    ss.header_mappings_dir = '.'

    ss.dependency "#{s.name}/Interface", version
    ss.dependency "#{s.name}/Implementation", version
    ss.dependency "#{s.name}/Cronet-Interface", version

    ss.source_files = 'src/core/ext/transport/cronet/client/secure/cronet_channel_create.cc',
                      'src/core/ext/transport/cronet/client/secure/cronet_channel_create.h',
                      'src/core/ext/transport/cronet/transport/cronet_transport.cc',
                      'src/core/ext/transport/cronet/transport/cronet_transport.h',
                      'third_party/objective_c/Cronet/bidirectional_stream_c.h'
  end

  s.subspec 'Tests' do |ss|
    ss.header_mappings_dir = '.'

    ss.dependency "#{s.name}/Interface", version
    ss.dependency "#{s.name}/Implementation", version

    ss.source_files = 'test/core/end2end/cq_verifier.cc',
                      'test/core/end2end/cq_verifier.h',
                      'test/core/end2end/data/client_certs.cc',
                      'test/core/end2end/data/server1_cert.cc',
                      'test/core/end2end/data/server1_key.cc',
                      'test/core/end2end/data/ssl_test_data.h',
                      'test/core/end2end/data/test_root_cert.cc',
                      'test/core/end2end/fixtures/http_proxy_fixture.cc',
                      'test/core/end2end/fixtures/http_proxy_fixture.h',
                      'test/core/end2end/fixtures/local_util.cc',
                      'test/core/end2end/fixtures/local_util.h',
                      'test/core/end2end/fixtures/proxy.cc',
                      'test/core/end2end/fixtures/proxy.h',
                      'test/core/iomgr/endpoint_tests.cc',
                      'test/core/iomgr/endpoint_tests.h',
                      'test/core/security/oauth2_utils.cc',
                      'test/core/security/oauth2_utils.h',
                      'test/core/util/cmdline.cc',
                      'test/core/util/cmdline.h',
                      'test/core/util/debugger_macros.cc',
                      'test/core/util/debugger_macros.h',
                      'test/core/util/fuzzer_util.cc',
                      'test/core/util/fuzzer_util.h',
                      'test/core/util/grpc_profiler.cc',
                      'test/core/util/grpc_profiler.h',
                      'test/core/util/histogram.cc',
                      'test/core/util/histogram.h',
                      'test/core/util/memory_counters.cc',
                      'test/core/util/memory_counters.h',
                      'test/core/util/mock_endpoint.cc',
                      'test/core/util/mock_endpoint.h',
                      'test/core/util/parse_hexstring.cc',
                      'test/core/util/parse_hexstring.h',
                      'test/core/util/passthru_endpoint.cc',
                      'test/core/util/passthru_endpoint.h',
                      'test/core/util/port.cc',
                      'test/core/util/port.h',
                      'test/core/util/port_isolated_runtime_environment.cc',
                      'test/core/util/port_server_client.cc',
                      'test/core/util/port_server_client.h',
                      'test/core/util/slice_splitter.cc',
                      'test/core/util/slice_splitter.h',
                      'test/core/util/subprocess.h',
                      'test/core/util/subprocess_windows.cc',
                      'test/core/util/test_config.cc',
                      'test/core/util/test_config.h',
                      'test/core/util/test_lb_policies.cc',
                      'test/core/util/test_lb_policies.h',
                      'test/core/util/tracer_util.cc',
                      'test/core/util/tracer_util.h',
                      'test/core/util/trickle_endpoint.cc',
                      'test/core/util/trickle_endpoint.h',
                      'test/core/end2end/end2end_test_utils.cc',
                      'test/core/end2end/end2end_tests.cc',
                      'test/core/end2end/end2end_tests.h',
                      'test/core/end2end/tests/authority_not_supported.cc',
                      'test/core/end2end/tests/bad_hostname.cc',
                      'test/core/end2end/tests/bad_ping.cc',
                      'test/core/end2end/tests/binary_metadata.cc',
                      'test/core/end2end/tests/call_creds.cc',
                      'test/core/end2end/tests/call_host_override.cc',
                      'test/core/end2end/tests/cancel_after_accept.cc',
                      'test/core/end2end/tests/cancel_after_client_done.cc',
                      'test/core/end2end/tests/cancel_after_invoke.cc',
                      'test/core/end2end/tests/cancel_after_round_trip.cc',
                      'test/core/end2end/tests/cancel_before_invoke.cc',
                      'test/core/end2end/tests/cancel_in_a_vacuum.cc',
                      'test/core/end2end/tests/cancel_test_helpers.h',
                      'test/core/end2end/tests/cancel_with_status.cc',
                      'test/core/end2end/tests/channelz.cc',
                      'test/core/end2end/tests/compressed_payload.cc',
                      'test/core/end2end/tests/connectivity.cc',
                      'test/core/end2end/tests/default_host.cc',
                      'test/core/end2end/tests/disappearing_server.cc',
                      'test/core/end2end/tests/empty_batch.cc',
                      'test/core/end2end/tests/filter_call_init_fails.cc',
                      'test/core/end2end/tests/filter_causes_close.cc',
                      'test/core/end2end/tests/filter_context.cc',
                      'test/core/end2end/tests/filter_latency.cc',
                      'test/core/end2end/tests/filter_status_code.cc',
                      'test/core/end2end/tests/graceful_server_shutdown.cc',
                      'test/core/end2end/tests/high_initial_seqno.cc',
                      'test/core/end2end/tests/hpack_size.cc',
                      'test/core/end2end/tests/idempotent_request.cc',
                      'test/core/end2end/tests/invoke_large_request.cc',
                      'test/core/end2end/tests/keepalive_timeout.cc',
                      'test/core/end2end/tests/large_metadata.cc',
                      'test/core/end2end/tests/max_concurrent_streams.cc',
                      'test/core/end2end/tests/max_connection_age.cc',
                      'test/core/end2end/tests/max_connection_idle.cc',
                      'test/core/end2end/tests/max_message_length.cc',
                      'test/core/end2end/tests/negative_deadline.cc',
                      'test/core/end2end/tests/no_error_on_hotpath.cc',
                      'test/core/end2end/tests/no_logging.cc',
                      'test/core/end2end/tests/no_op.cc',
                      'test/core/end2end/tests/payload.cc',
                      'test/core/end2end/tests/ping.cc',
                      'test/core/end2end/tests/ping_pong_streaming.cc',
                      'test/core/end2end/tests/proxy_auth.cc',
                      'test/core/end2end/tests/registered_call.cc',
                      'test/core/end2end/tests/request_with_flags.cc',
                      'test/core/end2end/tests/request_with_payload.cc',
                      'test/core/end2end/tests/resource_quota_server.cc',
                      'test/core/end2end/tests/retry.cc',
                      'test/core/end2end/tests/retry_cancellation.cc',
                      'test/core/end2end/tests/retry_disabled.cc',
                      'test/core/end2end/tests/retry_exceeds_buffer_size_in_initial_batch.cc',
                      'test/core/end2end/tests/retry_exceeds_buffer_size_in_subsequent_batch.cc',
                      'test/core/end2end/tests/retry_non_retriable_status.cc',
                      'test/core/end2end/tests/retry_non_retriable_status_before_recv_trailing_metadata_started.cc',
                      'test/core/end2end/tests/retry_recv_initial_metadata.cc',
                      'test/core/end2end/tests/retry_recv_message.cc',
                      'test/core/end2end/tests/retry_server_pushback_delay.cc',
                      'test/core/end2end/tests/retry_server_pushback_disabled.cc',
                      'test/core/end2end/tests/retry_streaming.cc',
                      'test/core/end2end/tests/retry_streaming_after_commit.cc',
                      'test/core/end2end/tests/retry_streaming_succeeds_before_replay_finished.cc',
                      'test/core/end2end/tests/retry_throttled.cc',
                      'test/core/end2end/tests/retry_too_many_attempts.cc',
                      'test/core/end2end/tests/server_finishes_request.cc',
                      'test/core/end2end/tests/shutdown_finishes_calls.cc',
                      'test/core/end2end/tests/shutdown_finishes_tags.cc',
                      'test/core/end2end/tests/simple_cacheable_request.cc',
                      'test/core/end2end/tests/simple_delayed_request.cc',
                      'test/core/end2end/tests/simple_metadata.cc',
                      'test/core/end2end/tests/simple_request.cc',
                      'test/core/end2end/tests/stream_compression_compressed_payload.cc',
                      'test/core/end2end/tests/stream_compression_payload.cc',
                      'test/core/end2end/tests/stream_compression_ping_pong_streaming.cc',
                      'test/core/end2end/tests/streaming_error_response.cc',
                      'test/core/end2end/tests/trailing_metadata.cc',
                      'test/core/end2end/tests/workaround_cronet_compression.cc',
                      'test/core/end2end/tests/write_buffering.cc',
                      'test/core/end2end/tests/write_buffering_at_end.cc'
  end

  # TODO (mxyan): Instead of this hack, add include path "third_party" to C core's include path?
  s.prepare_command = <<-END_OF_COMMAND
    sed -E -i '' 's;#include <openssl/(.*)>;#if COCOAPODS==1\\\n  #include <openssl_grpc/\\1>\\\n#else\\\n  #include <openssl/\\1>\\\n#endif;g' $(find src/core -type f \\( -path '*.h' -or -path '*.cc' \\) -print | xargs grep -H -c '#include <openssl_grpc/' | grep 0$ | cut -d':' -f1)
    find src/core/ third_party/upb/ -type f \\( -name '*.h' -or -name '*.c' -or -name '*.cc' \\) -print0 | xargs -0 -L1 sed -E -i'.grpc_back' 's;#include "upb/(.*)";#if COCOAPODS==1\\\n  #include  "third_party/upb/upb/\\1"\\\n#else\\\n  #include  "upb/\\1"\\\n#endif;g'
    find src/core/ third_party/upb/ -type f -name '*.grpc_back' -print0 | xargs -0 rm
    find src/core/ src/cpp/ -type f \\( -name '*.h' -or -name '*.c' -or -name '*.cc' \\) -print0 | xargs -0 -L1 sed -E -i'.grpc_back' 's;#include "(.*).upb.h";#if COCOAPODS==1\\\n  #include  "src/core/ext/upb-generated/\\1.upb.h"\\\n#else\\\n  #include  "\\1.upb.h"\\\n#endif;g'
    find src/core/ src/cpp/ -type f -name '*.grpc_back' -print0 | xargs -0 rm
  END_OF_COMMAND
end
